Skip to main content
POST
Search LoggedModels

Body

application/json

Request body for searching logged models.

experiment_ids
string[]

IDs of the Experiments in which to search for Logged Models.

filter
string

A filter expression over Logged Model info and data that allows returning a subset of Logged Models. The syntax is a subset of SQL that supports ANDing together binary operations Example: params.alpha < 0.3 AND metrics.accuracy > 0.9.

Example:

"params.alpha < 0.3 AND metrics.accuracy > 0.9"

datasets
object[]

List of datasets on which to apply the metrics filter clauses. For example, a filter with metrics.accuracy > 0.9 and dataset info with name "test_dataset" means we will return all logged models with accuracy > 0.9 on the test_dataset. Metric values from ANY dataset matching the criteria are considered. If no datasets are specified, then metrics across all datasets are considered in the filter.

max_results
integer<int32>
default:50

Maximum number of Logged Models to return. Max threshold is 50.

Example:

10

order_by
object[]

List of columns for ordering the results, with additional fields for sorting criteria.

page_token
string

Token indicating the page of Logged Models to fetch.

Response

200 - application/json

Successful response

Response body for searching logged models.

models
object[]

Logged Models that match the search criteria.

next_page_token
string

Token that can be used to retrieve the next page of Logged Models.